use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IFixedWidthArea;

use super::macros::rnoop;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "fixed_width_area")]
pub(crate) struct RenderFixedWidthArea {}

rnoop!(RenderFixedWidthArea, IFixedWidthArea);
