use super::macros::intermediate;
use super::IObject;

use crate::error::CustomError;

#[derive(Debug, Clone)]
pub(crate) struct IBold {
    pub(crate) children: Vec<IObject>,
}

intermediate!(IBold, Bold, original, registry, {
    let children = {
        let mut ret = Vec::new();
        for obj in original.children.iter() {
            ret.push(IObject::new(registry.clone(), obj).await?);
        }
        ret
    };

    Ok(IBold { children })
});
